## org.hibernate.cache.impl
Class CacheDataDescriptionImpl

    java.lang.Object
      org.hibernate.cache.impl.CacheDataDescriptionImpl

All Implemented Interfaces:
  CacheDataDescription

    public class CacheDataDescriptionImpl

extends Object
implements CacheDataDescription

Author:
  Steve Ebersole

Constructor Summary
`CacheDataDescriptionImpl(boolean mutable, boolean versioned, Comparator versionComparator)`

Method Summary
`static CacheDataDescriptionImpl` `decode(Collection model)`
`static CacheDataDescriptionImpl` `decode(PersistentClass model)`
`Comparator` `getVersionComparator()` Get the comparator used to compare two different version values.
`boolean` `isMutable()` Is the data marked as being mutable?
`boolean` `isVersioned()` Is the data to be cached considered versioned? If true, it is illegal for `CacheDataDescription.getVersionComparator()` to return null.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheDataDescriptionImpl

    public CacheDataDescriptionImpl(boolean mutable,
                                    boolean versioned,
                                    Comparator versionComparator)

Method Detail

### isMutable

    public boolean isMutable()

  Description copied from interface: `CacheDataDescription`
  Is the data marked as being mutable?

  Specified by:
    `isMutable` in interface `CacheDataDescription`
  Returns:
    True if the data is mutable; false otherwise.

### isVersioned

    public boolean isVersioned()

  Description copied from interface: `CacheDataDescription`
  Is the data to be cached considered versioned?

  If true, it is illegal for `CacheDataDescription.getVersionComparator()` to return null.

  Specified by:
    `isVersioned` in interface `CacheDataDescription`
  Returns:
    True if the data is versioned; false otherwise.

### getVersionComparator

    public Comparator getVersionComparator()

  Description copied from interface: `CacheDataDescription`
  Get the comparator used to compare two different version values.

  May return null if `CacheDataDescription.isVersioned()` returns false.

  Specified by:
    `getVersionComparator` in interface `CacheDataDescription`
  Returns:

### decode

    public static CacheDataDescriptionImpl decode(PersistentClass model)

### decode

    public static CacheDataDescriptionImpl decode(Collection model)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.